Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::counted_fn Struct Reference

## Synopsis of methods
constexpr counted_fn | counted {}

## Public Member Functions
template<typename I >
counted_view< I > | operator() (I it, iter_difference_t< I > n) const
template<typename I >
subrange< I > | operator() (I it, iter_difference_t< I > n) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename I >

counted_view<I> ranges::views::counted_fn::operator() | ( | I | it,
|  | iter_difference_t< I > | n
| ) |  | const

Precondition
  requires `input_or_output_iterator<I> && (!random_access_iterator<I>)` //

## ◆ operator()() [2/2]

template<typename I >

subrange<I> ranges::views::counted_fn::operator() | ( | I | it,
|  | iter_difference_t< I > | n
| ) |  | const

Precondition
  requires `random_access_iterator<I>`

References ranges::aux::move.